Bug 1252440 - [Ceph] Missing storage-environment.yaml
Summary: [Ceph] Missing storage-environment.yaml
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Director
Assignee: Jiri Stransky
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1191185 1243520
TreeView+ depends on / blocked
 
Reported: 2015-08-11 12:30 UTC by Dariusz Smigiel
Modified: 2016-04-18 06:51 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-18 19:01:57 UTC


Attachments (Terms of Use)
heat templates (86.62 KB, application/x-gzip)
2015-08-11 13:07 UTC, Dariusz Smigiel
no flags Details

Description Dariusz Smigiel 2015-08-11 12:30:23 UTC
Description of problem:
While deploying Ceph Storage nodes, I'm trying to use storage-environment.yaml file, but this file is missing.

Cannot proceed with it.

Comment 3 Dariusz Smigiel 2015-08-11 13:07:53 UTC
Created attachment 1061519 [details]
heat templates

Comment 5 Mike Burns 2015-08-13 06:54:05 UTC
Where are you seeing that you need this file?  It should not be needed with the GA bits.  We do have an update coming which will require this file (and includes this file) but it's not shipped yet.

Comment 6 Dariusz Smigiel 2015-08-13 08:04:39 UTC
@Mike, in the documentation. I'm following description. AFAIK at Friday there was no info about this file, but currently you can find it here: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage

File is also mentioned here: https://bugzilla.redhat.com/show_bug.cgi?id=1251533 and here https://bugzilla.redhat.com/show_bug.cgi?id=1247585

The file can be found here: https://github.com/openstack/tripleo-heat-templates/blob/e96c087509193d5ad63caa3014977a2baf0db0d3/environments/storage-environment.yaml but it doesn't exist in rpm files.

I have to deploy Cinder and Glance and Nova ephemeral on Ceph.

Comment 7 Jiri Stransky 2015-08-13 09:09:52 UTC
It looks like the documentation got updated ahead of the code. For now it should be possible to deploy Cinder and Glance and Nova ephemeral on Ceph without the storage-environment.yaml file, by just specifying --ceph-storage-scale parameter greater than 0.

When we release the update, then storage-environment.yaml should be in openstack-tripleo-heat-templates RPM and CLI should be updated too, and then it will be necessary to pass that file to `openstack overcloud deploy`. That change would then fix bug 1247585.

Comment 8 Mike Burns 2015-08-18 19:01:57 UTC
This file exists in the released code now.  The docs and code are now in sync.


Note You need to log in before you can comment on or make changes to this bug.